'use strict';

exports.__esModule = true;

exports.default = function () {
    // NOTE: 3 hex numbers in a pixel, 2 letters in  a hex number
    var id = (0, _generate2.default)(ALPHABET, MARK_LENGTH * 3 * 2);

    // NOTE: array of RGB values
    var markSeed = (0, _lodash.chunk)(id, 2).map(function (array) {
        return parseInt(array.join(''), 16);
    });

    // NOTE: convert to RGBA
    markSeed = (0, _lodash.flatten)((0, _lodash.chunk)(markSeed, 3).map(function (array) {
        return array.concat(255);
    }));

    var markSeedBuffer = new Buffer(markSeed);
    var pngImage = new _pngjs.PNG({ width: MARK_LENGTH, height: 1 });

    markSeedBuffer.copy(pngImage.data);

    var markData = 'data:image/png;base64,' + _pngjs.PNG.sync.write(pngImage).toString('base64');

    return { markSeed: markSeed, markData: markData };
};

var _generate = require('nanoid/generate');

var _generate2 = _interopRequireDefault(_generate);

var _pngjs = require('pngjs');

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ALPHABET = '1234567890abcdef';
var MARK_LENGTH = 5;

module.exports = exports['default'];